javax.faces.flow.builder

## Class MethodCallBuilder

- java.lang.Object
- - javax.faces.flow.builder.MethodCallBuilder

- All Implemented Interfaces:
    NodeBuilder

      public abstract class MethodCallBuilder
      extends Object
      implements NodeBuilder

  Create a method call node in the current `Flow`.

  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodCallBuilder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract MethodCallBuilder` | `defaultOutcome(String outcome)` If the method is a void method, or the method returns `null`, this can be used to specify what value should be passed to runtime when the method returns.
    `abstract MethodCallBuilder` | `defaultOutcome(ValueExpression outcome)` If the method is a void method, or the method returns `null`, this can be used to specify what value should be passed to runtime when the method returns.
    `abstract MethodCallBuilder` | `expression(MethodExpression methodExpression)` Set the method expression of this method call node.
    `abstract MethodCallBuilder` | `expression(String methodExpression)` Set the method expression of this method call node.
    `abstract MethodCallBuilder` | `expression(String methodExpression, Class[] paramTypes)` Set the method expression of this method call node.
    `abstract MethodCallBuilder` | `markAsStartNode()` Mark this node as the start node in the flow.
    `abstract MethodCallBuilder` | `parameters(List<Parameter> parameters)` Set the parameters of the method call node.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodCallBuilder

          public MethodCallBuilder()

  - ### Method Detail

    - #### expression

          public abstract MethodCallBuilder expression(MethodExpression methodExpression)

      Set the method expression of this method call node. The method signature of the argument `methodExpression` must match the number and type of the parameters passed in the `parameters(java.util.List<javax.faces.flow.Parameter>)` method.

      Parameters:
        `methodExpression` - The `MethodExpression` to invoke.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### expression

          public abstract MethodCallBuilder expression(String methodExpression)

      Set the method expression of this method call node. The method signature of the argument `methodExpression` must match the number and type of the parameters passed in the `parameters(java.util.List<javax.faces.flow.Parameter>)` method.

      Parameters:
        `methodExpression` - The `MethodExpression` String to invoke.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### expression

          public abstract MethodCallBuilder expression(String methodExpression,
                                     Class[] paramTypes)

      Set the method expression of this method call node. The method signature of the argument `methodExpression` must match the number and type of the parameters passed in the `parameters(java.util.List<javax.faces.flow.Parameter>)` method.

      Parameters:
        `methodExpression` - The `MethodExpression` to invoke.
        `paramTypes` - the types of the parameters to the method.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### parameters

          public abstract MethodCallBuilder parameters(List<Parameter> parameters)

      Set the parameters of the method call node.

      Parameters:
        `parameters` - the parameters to pass to the method when it is invoked.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### defaultOutcome

          public abstract MethodCallBuilder defaultOutcome(String outcome)

      If the method is a void method, or the method returns `null`, this can be used to specify what value should be passed to runtime when the method returns.

      Parameters:
        `outcome` - A `ValueExpression` String representing the default outcome, only used if the method is a void method or returns `null`.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### defaultOutcome

          public abstract MethodCallBuilder defaultOutcome(ValueExpression outcome)

      If the method is a void method, or the method returns `null`, this can be used to specify what value should be passed to runtime when the method returns.

      Parameters:
        `outcome` - A `ValueExpression` representing the default outcome, only used if the method is a void method or returns `null`.
      Throws:
        `NullPointerException` - if any of the parameters are `null`
      Since:
        2.2

    - #### markAsStartNode

          public abstract MethodCallBuilder markAsStartNode()

      Description copied from interface: `NodeBuilder`

      Mark this node as the start node in the flow. Any other node that had been marked as the start node will no longer be the start node.

      Specified by:
        `markAsStartNode` in interface `NodeBuilder`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.